# JvmToolchainsPlugin

@Incubating
abstract class JvmToolchainsPlugin : Plugin<T>

A plugin that provides JVM toolchains for projects that need to execute Java from local JVM installations or run the tools included in a JDK. The plugin makes JavaToolchainService available via a project extension.

#### Since

7.6

## Constructors

JvmToolchainsPlugin
Link copied to clipboard
@Inject
constructor(javaToolchainQueryService: JavaToolchainQueryService)

## Functions

apply
Link copied to clipboard
open fun apply(target: Project)